Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001757TestLinkGeneralpublic2008-09-29 22:132008-12-08 20:03
Reportermhavlat 
Assigned Toschlundus 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 3 
Fixed in Version1.8 RC 1 
Summary0001757: DB events cleanup
DescriptionImplement clean-up button to delete all debug,info level information from database. Maybe some other.

Andreas, could you care?
Steps To ReproduceFrom forum:
http://www.teamst.org/phpBB2/viewtopic.php?t=1200 [^]


aksinghv
Advanced user


Joined: 17 Aug 2008
Posts: 23

    
New postPosted: 26 Sep 2008 19:04 Post subject: Events in the Test Link 1.8 beta2/beta3 Reply with quote Edit/Delete this post Delete this post View IP address of poster
Hi,

I was viewing the tables using the phpMyAdmin2.11.6 (installed by WAMPServer2.0c) on Windows as my whole setup is on Windows 2008 x64.

I saw that i have 466275 records in the events table. Is there any way to do cleanup? Is there any parameter which will allow us to just hold say last 100K or last 30days records. I am not sure how long should be hold the events records?

Please guide me.

thanks,
Anjani Singh
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0004210)
schlundus (reporter)
2008-09-30 01:05

Cleanup routine implemented

All events older than <configValue> are removed
(0004215)
mhavlat (reporter)
2008-09-30 04:49

Thanks for fast work. Please send documentation update to testlink.doc@gmail.com before you close issue. Thanks.
(0004225)
schlundus (reporter)
2008-10-01 23:21

doc-update was sent on 29.09.2008 20:05

- Issue History
Date Modified Username Field Change
2008-09-29 22:13 mhavlat New Issue
2008-09-29 22:13 mhavlat Status new => assigned
2008-09-29 22:13 mhavlat Assigned To => schlundus
2008-09-30 01:05 schlundus Status assigned => resolved
2008-09-30 01:05 schlundus Fixed in Version => next development 1.8 RC 1
2008-09-30 01:05 schlundus Resolution open => fixed
2008-09-30 01:05 schlundus Note Added: 0004210
2008-09-30 04:49 mhavlat Note Added: 0004215
2008-09-30 04:49 mhavlat Status resolved => assigned
2008-10-01 23:21 schlundus Status assigned => resolved
2008-10-01 23:21 schlundus Note Added: 0004225
2008-12-08 20:03 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker